<?php

namespace Drupal\kinetic_extras\Plugin\Filter;

use Drupal\filter\FilterProcessResult;
use Drupal\filter\Plugin\FilterBase;

/**
 * @Filter(
 *   id = "filter_paragraph_to_span",
 *   title = @Translation("Convert p tags to span"),
 *   description = @Translation("Convert p tags to span. Place after Convert line breaks into HTML filter if on."),
 *   type = Drupal\filter\Plugin\FilterInterface::TYPE_TRANSFORM_IRREVERSIBLE
 * )
 */
class FilterParagraphToSpan extends FilterBase {

  public function process($text, $langcode) {
    // This will convert all <p> tags to <span>, unless there's a class on it.
    $search = ['<p>', '<p', '</p>'];
    $replace = ['<span>', '<span', '</span>'];
    $new_text = str_replace($search, $replace, $text);
    return new FilterProcessResult($new_text);
  }

}
